Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4.core
Class RelationalDatatypes

    java.lang.Object
      edu.udo.cs.miningmart.m4.core.RelationalDatatypes

All Implemented Interfaces:
  RelationalDatatypes, java.io.Serializable

    public class RelationalDatatypes

extends java.lang.Object
implements java.io.Serializable, RelationalDatatypes

This class represents the relational datatypes stored in the M4 model and takes care of mapping between the ID and name representations. One instance of this class (e.g. `static` in class `Column` is sufficient, adding/changing the predefined set of relational datatypes at runtime is not supported.

Version:
  $Id: RelationalDatatypes.java,v 1.4 2006/09/27 14:59:59 euler Exp $
Author:
  Martin Scholz
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ATTRIB_DATATYPE_ID` Database attribute name storing the datatype IDs
`static java.lang.String` | `ATTRIB_DATATYPE_NAME` Database attribute name storing the datatype names
`static java.lang.String` | `M4_TABLE_NAME` Name of the M4 table mapping IDs to relational datatype names

Fields inherited from interface edu.udo.cs.miningmart.m4.RelationalDatatypes
`RELATIONAL_DATATYPE_DATE, RELATIONAL_DATATYPE_KEY, RELATIONAL_DATATYPE_NUMBER, RELATIONAL_DATATYPE_STRING`

Constructor Summary
`RelationalDatatypes(DB db)`

Method Summary
`java.util.Collection` | `getAllRelationalDatatypeNames()` Returns a collection of datatype names available in the M4 Schema.
`long` | `getIdForName(java.lang.String name)`
`java.lang.String` | `getNameForId(long id)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### M4_TABLE_NAME

    public static final java.lang.String M4_TABLE_NAME

  Name of the M4 table mapping IDs to relational datatype names

  See Also:
    Constant Field Values

### ATTRIB_DATATYPE_ID

    public static final java.lang.String ATTRIB_DATATYPE_ID

  Database attribute name storing the datatype IDs

  See Also:
    Constant Field Values

### ATTRIB_DATATYPE_NAME

    public static final java.lang.String ATTRIB_DATATYPE_NAME

  Database attribute name storing the datatype names

  See Also:
    Constant Field Values

Constructor Detail

### RelationalDatatypes

    public RelationalDatatypes(DB db)
                        throws M4Exception,
                               DbConnectionClosed

Throws:
  `M4Exception`
  `DbConnectionClosed`

Method Detail

### getIdForName

    public long getIdForName(java.lang.String name)

  Specified by:
    `getIdForName` in interface `RelationalDatatypes`
  Parameters:
    `name` - the name of a relational datatype (case senitive)
  Returns:
    the id representing this datatype or `0` if not found

### getNameForId

    public java.lang.String getNameForId(long id)

  Specified by:
    `getNameForId` in interface `RelationalDatatypes`
  Parameters:
    `id` - the ID of a relational datatype
  Returns:
    the relational datatype's name

### getAllRelationalDatatypeNames

    public java.util.Collection getAllRelationalDatatypeNames()

  Description copied from interface: `RelationalDatatypes`
  Returns a collection of datatype names available in the M4 Schema.

  Specified by:
    `getAllRelationalDatatypeNames` in interface `RelationalDatatypes`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005